#include <epplet.h>

Epplet_gadget status_lbl, close_btn, help_btn, dial_btn, kill_btn;
static void close_ed(void *data);
static void help_ed(void *data);
static void dial_ed(void *data);
static void kill_ed(void *data);
static void on_ed(void *data, Window w);
static void off_ed(void *data, Window w);

static void close_ed(void *data){
    Epplet_unremember();
    Esync();
    exit(0);
}

static void help_ed(void *data){
    Epplet_show_about("E-Dial");
}

static void dial_ed(void *data){
    system("wvdial &");
    Epplet_change_label(status_lbl, "Online");
}
static void kill_ed(void *data){
    system("killall wvdial");
    Epplet_change_label(status_lbl, "Offline");
}

static void on_ed(void *data, Window w){
    Epplet_gadget_show(close_btn);
    Epplet_gadget_show(help_btn);
}

static void off_ed(void *data, Window w){
    Epplet_gadget_hide(close_btn);
    Epplet_gadget_hide(help_btn);
}

int main(int argc, char **argv){
    Epplet_Init("E-Dial","0.0.5", "Enlightenment Dial Epplet", 5, 1, argc, argv, 0);
    
    close_btn = Epplet_create_button(NULL, NULL, 22, 2, 0, 0, "CLOSE", 0, NULL, close_ed, NULL);
    help_btn = Epplet_create_button(NULL, NULL, 45, 2, 0, 0, "HELP", 0, NULL, help_ed, NULL);    
    dial_btn = Epplet_create_button("Dial", NULL, 1, 2, 20, 12, NULL, 0, NULL, dial_ed, NULL);    
    kill_btn = Epplet_create_button("Kill", NULL, 58, 2, 20, 12, NULL, 0, NULL, kill_ed, NULL);

    status_lbl = Epplet_create_label(26, 5, "Offline", 1);
    
    Epplet_register_focus_in_handler(on_ed, NULL);
    Epplet_register_focus_out_handler(off_ed, NULL);

    Epplet_gadget_show(dial_btn);
    Epplet_gadget_show(kill_btn);
    Epplet_gadget_show(status_lbl);

    Epplet_show();
    Epplet_Loop();
    return 0;
}
